Package org.apache.avro.thrift

# Class ThriftDatumReader<T>

java.lang.Object
org.apache.avro.generic.GenericDatumReader<T>
org.apache.avro.thrift.ThriftDatumReader<T>

All Implemented Interfaces:
  `org.apache.avro.io.DatumReader<T>`

public class ThriftDatumReader<T> extends org.apache.avro.generic.GenericDatumReader<T>
`DatumReader` for generated Thrift classes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ThriftDatumReader()`
``
`ThriftDatumReader(Class<T> c)`
``
`ThriftDatumReader(org.apache.avro.Schema schema)`
Construct where the writer's and reader's schemas are the same.
``
`ThriftDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader)`
Construct given writer's and reader's schema.
`protected`
`ThriftDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader, ThriftData data)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`createEnum(String symbol, org.apache.avro.Schema schema)`
`protected Object`
`newArray(Object old, int size, org.apache.avro.Schema schema)`
`protected Object`
`readInt(Object old, org.apache.avro.Schema s, org.apache.avro.io.Decoder in)`

### Methods inherited from class org.apache.avro.generic.GenericDatumReader

`addToArray, addToMap, convert, createBytes, createFixed, createFixed, createString, ensureAvailableCollectionBytes, findStringClass, getData, getExpected, getResolver, getSchema, initialCollectionCapacity, isZeroByteSchema, newInstanceFromString, newMap, newRecord, peekArray, read, read, readArray, readBytes, readBytes, readEnum, readField, readFixed, readMap, readMapKey, readRecord, readString, readString, readWithConversion, readWithoutConversion, setExpected, setSchema, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThriftDatumReader

public ThriftDatumReader()

### ThriftDatumReader

public ThriftDatumReader(Class<T> c)

### ThriftDatumReader

public ThriftDatumReader(org.apache.avro.Schema schema)
Construct where the writer's and reader's schemas are the same.

### ThriftDatumReader

public ThriftDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader)
Construct given writer's and reader's schema.

### ThriftDatumReader

protected ThriftDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader, ThriftData data)

## Method Details

### createEnum

protected Object createEnum(String symbol, org.apache.avro.Schema schema)

Overrides:
  `createEnum` in class `org.apache.avro.generic.GenericDatumReader<T>`

### readInt

protected Object readInt(Object old, org.apache.avro.Schema s, org.apache.avro.io.Decoder in) throws IOException

Overrides:
  `readInt` in class `org.apache.avro.generic.GenericDatumReader<T>`
Throws:
  `IOException`

### newArray

protected Object newArray(Object old, int size, org.apache.avro.Schema schema)

Overrides:
  `newArray` in class `org.apache.avro.generic.GenericDatumReader<T>`